const COMMON_CONFIG = {
  MAXIMUM_FILE_SIZE: 15 * Math.pow(2, 20), // in bytes
  USER_GROUPS_LIMIT: process.env.USER_GROUPS_LIMIT || 100,
  THRESHOLD_CHATS_LIMIT: process.env.THRESHOLD_CHATS_LIMIT || 30,
  THRESHOLD_CONVERSATIONS_LIMIT: process.env.THRESHOLD_CONVERSATIONS_LIMIT || 10,
  THRESHOLD_ACTIVE_USERS: process.env.THRESHOLD_ACTIVE_USERS || 50,
  THRESHOLD_CHATS: process.env.THRESHOLD_CHATS || 200,
  THRESHOLD_USERS: process.env.THRESHOLD_USERS || 100,
  THRESHOLD_LIKES: process.env.THRESHOLD_LIKES || 100,
  PORT: process.env.PORT || 3000,
  LIKERS_LIMIT: process.env.LIKERS_LIMIT || 10,
};

module.exports = COMMON_CONFIG;
